{
    // Use IntelliSense to learn about possible attributes.
    // Hover to view descriptions of existing attributes.
    // For more information, visit: https://go.microsoft.com/fwlink/?linkid=830387
    "version": "0.2.0",
    "configurations": [
        {
            "name": "Launch development",
            "request": "launch",
            "type": "dart",
            "program": "lib/main_development.dart",
            "args": [
                "--flavor",
                "development",
                "--target",
                "lib/main_development.dart"
            ],
            "flutterMode": "debug"
        },
        {
            "name": "Launch development in profile mode",
            "request": "launch",
            "type": "dart",
            "program": "lib/main_development.dart",
            "args": [
                "--flavor",
                "development",
                "--target",
                "lib/main_development.dart"
            ],
            "flutterMode": "profile"
        },
        {
            "name": "Launch development in release mode",
            "request": "launch",
            "type": "dart",
            "program": "lib/main_development.dart",
            "args": [
                "--flavor",
                "development",
                "--target",
                "lib/main_development.dart"
            ],
            "flutterMode": "release"
        },
        {
            "name": "Launch staging",
            "request": "launch",
            "type": "dart",
            "program": "lib/main_staging.dart",
            "args": [
                "--flavor",
                "staging",
                "--target",
                "lib/main_staging.dart"
            ],
            "flutterMode": "debug"
        },
        {
            "name": "Launch staging in profile mode",
            "request": "launch",
            "type": "dart",
            "program": "lib/main_staging.dart",
            "args": [
                "--flavor",
                "staging",
                "--target",
                "lib/main_staging.dart"
            ],
            "flutterMode": "profile"
        },
        {
            "name": "Launch staging in release mode",
            "request": "launch",
            "type": "dart",
            "program": "lib/main_staging.dart",
            "args": [
                "--flavor",
                "staging",
                "--target",
                "lib/main_staging.dart"
            ],
            "flutterMode": "release"
        },
        {
            "name": "Launch production",
            "request": "launch",
            "type": "dart",
            "program": "lib/main_production.dart",
            "args": [
                "--flavor",
                "production",
                "--target",
                "lib/main_production.dart"
            ],
            "flutterMode": "debug"
        },
        {
            "name": "Launch production in profile mode",
            "request": "launch",
            "type": "dart",
            "program": "lib/main_production.dart",
            "args": [
                "--flavor",
                "production",
                "--target",
                "lib/main_production.dart"
            ],
            "flutterMode": "profile"
        },
        {
            "name": "Launch production in release mode",
            "request": "launch",
            "type": "dart",
            "program": "lib/main_production.dart",
            "args": [
                "--flavor",
                "production",
                "--target",
                "lib/main_production.dart"
            ],
            "flutterMode": "release"
        },
    ]
}